Bug 1001534 - Transitive pom dependencies missing in maven repository
Transitive pom dependencies missing in maven repository
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 04:58 EDT by Martin Gencur
Modified: 2013-11-19 09:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gencur 2013-08-27 04:58:54 EDT
The repository does not meet requirements for enterprise maven repository as described at https://docspace.corp.redhat.com/docs/DOC-141219. This was verified by Wolf-validator (https://github.com/thradec/wolf-validator)

EAP 6.1 maven repository was used as an additional location with maven artifacts.

--- DEPENDENCY NOT FOUND REPORT ---
Found 12 missing dependencies.
miss: com.thoughtworks.xstream:xstream-parent:pom:1.4.1-redhat-2
    from: com.thoughtworks.xstream:xstream:pom:1.4.1-redhat-2
miss: org.antlr:antlr-runtime:pom:3.4.1-preview-jbossorg-0
    from: org.hibernate.hql:hibernate-hql-lucene:pom:1.0.0.Alpha3
    from: org.hibernate.hql:hibernate-hql-parser:pom:1.0.0.Alpha3
miss: org.apache.lucene:lucene-parent:pom:3.6.2-redhat-1
    from: org.apache.lucene:lucene-core:pom:3.6.2-redhat-1
miss: org.infinispan:infinispan-cachestore-parent:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-cachestore-jdbc:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-cachestore-remote:pom:6.0.0.Alpha3-redhat-1
miss: org.infinispan:infinispan-lucene-parent:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-lucene-directory:pom:6.0.0.Alpha3-redhat-1
miss: org.infinispan:infinispan-parent:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-client-hotrod:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-commons:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-core:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-jcache:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-query-dsl:pom:6.0.0.Alpha3-redhat-1
miss: org.infinispan:infinispan-server-parent:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-server-core:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-server-hotrod:pom:6.0.0.Alpha3-redhat-1
    from: org.infinispan:infinispan-server-memcached:pom:6.0.0.Alpha3-redhat-1
miss: org.jboss.marshalling:jboss-marshalling-parent:pom:1.3.18.GA-redhat-1
    from: org.jboss.marshalling:jboss-marshalling-river:pom:1.3.18.GA-redhat-1
    from: org.jboss.marshalling:jboss-marshalling:pom:1.3.18.GA-redhat-1
miss: org.jboss:jboss-parent:pom:10-redhat-2
    from: org.jgroups:jgroups:pom:3.4.0.Alpha1-redhat-1
miss: org.jboss:jboss-parent:pom:9-redhat-1
    from: org.freemarker:freemarker:pom:2.3.19-redhat-1
    from: xpp3:xpp3:pom:1.1.4c-redhat-2
    from: xpp3:xpp3_min:pom:1.1.4c-redhat-2
miss: org.rhq:rhq-core-parent:pom:4.4.0.JON310GA
    from: org.rhq:rhq-core-util:pom:4.4.0.JON310GA
miss: org.rhq:rhq-parent:pom:4.4.0.JON310GA
    from: org.rhq:rhq-core-native-system:pom:4.4.0.JON310GA
Comment 2 Tristan Tarrant 2013-09-23 02:35:47 EDT
The org.rhq artifacts should not be there

Note You need to log in before you can comment on or make changes to this bug.